[beryl-commits] r4235 - branches/beryl-0.2

cyberorg at server.beryl-project.org cyberorg at server.beryl-project.org
Fri Feb 23 10:58:02 CET 2007


Author: cyberorg
Date: 2007-02-23 10:58:02 +0100 (Fri, 23 Feb 2007)
New Revision: 4235

Added:
   branches/beryl-0.2/makeall-xgl
Log:
add makeall-xgl for ATI and xgl users


Added: branches/beryl-0.2/makeall-xgl
===================================================================
--- branches/beryl-0.2/makeall-xgl	                        (rev 0)
+++ branches/beryl-0.2/makeall-xgl	2007-02-23 09:58:02 UTC (rev 4235)
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+DEFCFLAGS="-O0 -ggdb3 -gstabs+ -Wall"
+MYCFLAGS=${CFLAGS:-$DEFCFLAGS}
+
+DEFPREFIX="/usr"
+MYPREFIX=${PREFIX:-$DEFPREFIX}
+if svn up
+then
+    ITEMS="beryl-core beryl-plugins beryl-settings-bindings beryl-settings beryl-manager emerald emerald-themes aquamarine heliodor"
+    for item in $ITEMS
+    do
+        cd $item
+        if ./autogen.sh --prefix=$MYPREFIX CFLAGS="$MYCFLAGS" && ([ "$item" == "beryl-core" ] && ./autogen.sh --enable-xgl --prefix=$MYPREFIX CFLAGS="$MYCFLAGS" || true) && ([ "$item" = "aquamarine" ] && ./configure --prefix=$MYPREFIX CFLAGS="$MYCFLAGS" || true) && make && sudo make install
+        then
+            cd ../
+            echo $item built ok
+        else
+            cd ../
+            echo BUILD FAILED for $item
+            exit 1
+        fi
+    done
+else
+    echo SVN UP FAILED.
+    exit 1
+fi


Property changes on: branches/beryl-0.2/makeall-xgl
___________________________________________________________________
Name: svn:executable
   + *




More information about the commits mailing list